> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.itential.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.itential.com/_mcp/server.

# Export automation

GET https://example.itential.io/operations-manager/automations/{id}/export

Exports an Automation.

Reference: https://docs.itential.com/itential-platform/6/api-reference/operations-manager/export-automation

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Path parameters

- `id` (string, required) — The id of the Automation to export.

## Response

### 200

The result of the export operation.

- `message` (string, required) — A human-readable message summarizing the result of the operation
- `data` (object, required) — Any successfully retrieved information related to the request.
  - `name` (string, required) — The name of the document
  - `description` (string, required) — The description of the document
  - `componentType` (any or any or any or any, required, nullable) — The type of component linked to this Automation.
  - `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
  - `gbac` (object, required)
    - `write` (list of object, required) — An array of group objects that have write access to the Automation.
      - `provenance` (string, required)
      - `name` (string, required)
      - `description` (string, required)
    - `read` (list of object, required) — An array of group objects that have read/execute access to the Automation.
      - `provenance` (string, required)
      - `name` (string, required)
      - `description` (string, required)
  - `componentName` (string, required, nullable) — The name of the component linked to this Automation.
  - `createdBy` (string, optional, nullable)
  - `created` (string, optional) — An ISO 8601 date string
  - `lastUpdatedBy` (string, optional, nullable)
  - `lastUpdated` (string, optional) — An ISO 8601 date string
  - `triggers` (list of object or object or object or object, optional)
    - Endpoint Trigger
      - `name` (string, required) — The name of the document
      - `enabled` (boolean, required) — A flag to determine if this Trigger is enabled or not.
      - `actionType` (enum, required) — The type of component this Trigger will invoke.
        - Allowed values: `automations`
      - `actionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `type` (any, required)
      - `verb` (any, required)
      - `routeName` (string, required) — User defined route name.
      - `schema` (object, required, nullable) — POST body filter schema.
      - `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `jst` (object or string, required)
        - object
      - `description` (string, optional) — The description of the document
      - `options` (object, optional) — Configuration options specific to this trigger.
        - `targetType` (enum, optional, nullable)
          - Allowed values: `instance`, `group`
        - `targetIdentifier` (string, optional, nullable)
        - `chooseTargetAtRuntime` (boolean, optional)
        - `actionId` (string, optional) — A 4-digit hexadecimal id
      - `lastExecuted` (integer, optional, nullable) — A timestamp in milliseconds of the time this Trigger was last executed.
      - `migrationVersion` (integer, optional) — The current document version of this document.
      - `createdBy` (string, optional, nullable)
      - `created` (string, optional) — An ISO 8601 date string
      - `lastUpdatedBy` (string, optional, nullable)
      - `lastUpdated` (string, optional) — An ISO 8601 date string
    - EventSystem Trigger
      - `name` (string, required) — The name of the document
      - `enabled` (boolean, required) — A flag to determine if this Trigger is enabled or not.
      - `actionType` (enum, required) — The type of component this Trigger will invoke.
        - Allowed values: `automations`
      - `actionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `type` (any, required)
      - `source` (string, required) — The source of the event.
      - `topic` (string, required) — The event topic.
      - `schema` (object, required, nullable) — Event payload filter schema.
      - `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `jst` (object or string, required)
        - object
      - `description` (string, optional) — The description of the document
      - `options` (object, optional) — Configuration options specific to this trigger.
        - `targetType` (enum, optional, nullable)
          - Allowed values: `instance`, `group`
        - `targetIdentifier` (string, optional, nullable)
        - `chooseTargetAtRuntime` (boolean, optional)
        - `actionId` (string, optional) — A 4-digit hexadecimal id
      - `lastExecuted` (integer, optional, nullable) — A timestamp in milliseconds of the time this Trigger was last executed.
      - `migrationVersion` (integer, optional) — The current document version of this document.
      - `legacyWrapper` (boolean, optional) — A boolean determining whether payload data is wrapped in a 'payload' property
      - `createdBy` (string, optional, nullable)
      - `created` (string, optional) — An ISO 8601 date string
      - `lastUpdatedBy` (string, optional, nullable)
      - `lastUpdated` (string, optional) — An ISO 8601 date string
    - Manual Trigger
      - `name` (string, required) — The name of the document
      - `enabled` (boolean, required) — A flag to determine if this Trigger is enabled or not.
      - `actionType` (enum, required) — The type of component this Trigger will invoke.
        - Allowed values: `automations`
      - `actionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `type` (any, required)
      - `formData` (object, required, nullable) — A JSON object created by filling out the associated JSON Form.
      - `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `formId` (string or string, required, nullable) — The name or id of a JSON Form used to provide inputs to a job from this trigger.
      - `description` (string, optional) — The description of the document
      - `options` (object, optional) — Configuration options specific to this trigger.
        - `targetType` (enum, optional, nullable)
          - Allowed values: `instance`, `group`
        - `targetIdentifier` (string, optional, nullable)
        - `chooseTargetAtRuntime` (boolean, optional)
        - `actionId` (string, optional) — A 4-digit hexadecimal id
      - `lastExecuted` (integer, optional, nullable) — A timestamp in milliseconds of the time this Trigger was last executed.
      - `migrationVersion` (integer, optional) — The current document version of this document.
      - `createdBy` (string, optional, nullable)
      - `created` (string, optional) — An ISO 8601 date string
      - `lastUpdatedBy` (string, optional, nullable)
      - `lastUpdated` (string, optional) — An ISO 8601 date string
      - `formSchemaHash` (string, optional, nullable)
      - `legacyWrapper` (boolean, optional) — A boolean determining whether form data is wrapped in a 'formData' property
    - Schedule Triggers Schema for JSON Representation
      - `name` (string, required) — The name of the document
      - `enabled` (boolean, required) — A flag to determine if this Trigger is enabled or not.
      - `actionType` (enum, required) — The type of component this Trigger will invoke.
        - Allowed values: `automations`
      - `actionId` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `type` (any, required)
      - `formData` (object, required, nullable) — A JSON object created by filling out the associated JSON Form.
      - `firstRunAt` (integer, required) — A timestamp in milliseconds for the first scheduled run of this Trigger.
      - `processMissedRuns` (enum, required) — Describes how any missed job runs should be processed. A missed run is a job that was supposed to be ran at least 'n' seconds ago, but did not due to some issue with IAP (busy process, IAP was down, etc). 'none' means do not run any missed jobs. 'last' means only run the last missed job.
        - Allowed values: `none`, `last`
      - `repeatInterval` (integer, required, nullable) — The interval between repeated jobs in milliseconds. This is calculated from repeatUnit and repeatFrequency.
      - `_id` (string, required) — A string which is formatted like an ObjectId, Distinct from an actual ObjectId.
      - `formId` (string or string, required, nullable) — The name or id of a JSON Form used to provide inputs to a job from this trigger.
      - `description` (string, optional) — The description of the document
      - `options` (object, optional) — Configuration options specific to this trigger.
        - `targetType` (enum, optional, nullable)
          - Allowed values: `instance`, `group`
        - `targetIdentifier` (string, optional, nullable)
        - `chooseTargetAtRuntime` (boolean, optional)
        - `actionId` (string, optional) — A 4-digit hexadecimal id
      - `lastExecuted` (integer, optional, nullable) — A timestamp in milliseconds of the time this Trigger was last executed.
      - `migrationVersion` (integer, optional) — The current document version of this document.
      - `createdBy` (string, optional, nullable)
      - `created` (string, optional) — An ISO 8601 date string
      - `lastUpdatedBy` (string, optional, nullable)
      - `lastUpdated` (string, optional) — An ISO 8601 date string
      - `formSchemaHash` (string, optional, nullable)
      - `legacyWrapper` (boolean, optional) — A boolean determining whether form data is wrapped in a 'formData' property
      - `nextRunAt` (integer, optional, nullable) — A timestamp in milliseconds for the next scheduled run of this Trigger.
      - `lastIntervalStart` (integer, optional, nullable) — A millisecond resolution timestamp denoting when the current run interval started. This is calculated using repeatEnd.
      - `locked` (boolean, optional) — backend use only
      - `waitFlag` (boolean, optional) — Deprecated, backend use only
      - `repeat` (object or object or object, optional, nullable) — A repetition pattern expressed as a tree of parent and child interval definitions.
        - object
          - `type` (enum, optional)
            - Allowed values: `repeating`, `terminating`
          - `duration` (object or object or double, optional)
            - object
            - object
          - `action` (enum, optional)
            - Allowed values: `execute`, `wait`
          - `components` (list of any, optional)
        - object
          - `components` (list of any, required)
          - `type` (any, optional)
          - `start` (string, optional) — An ISO 8601 date string
          - `end` (string, optional) — An ISO 8601 date string
        - object
          - `type` (any, optional)
          - `duration` (object or object or double, optional)
            - object
            - object
          - `count` (integer, optional)
          - `action` (enum, optional)
            - Allowed values: `execute`, `wait`
          - `components` (list of any, optional)
      - `repeatUnit` (any, optional)
      - `repeatFrequency` (any, optional)
- `metadata` (map from string to any, required) — Any structured, wordy or machine-readable information related to the result of the operation. For success responses, this may contain information like pagination values from a search operation.

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Examples

**Response**

```json
{
  "message": "Successfully created the requested item",
  "data": {
    "name": "Cisco IOS upgrade",
    "description": "Turn up the port",
    "componentType": null,
    "_id": "string",
    "gbac": {
      "write": [
        {
          "provenance": "ldap",
          "name": "operators",
          "description": "Description of a group"
        }
      ],
      "read": [
        {
          "provenance": "ldap",
          "name": "operators",
          "description": "Description of a group"
        }
      ]
    },
    "componentName": "addDuration",
    "createdBy": "admin@pronghorn",
    "created": "2024-01-15T09:30:00Z",
    "lastUpdatedBy": "admin@pronghorn",
    "lastUpdated": "2024-01-15T09:30:00Z",
    "triggers": [
      {
        "_id": "string",
        "actionId": "string",
        "actionType": "automations",
        "created": "2024-01-15T09:30:00Z",
        "createdBy": "admin@pronghorn",
        "description": "Turn up the port",
        "enabled": true,
        "jst": null,
        "lastExecuted": 1,
        "lastUpdated": "2024-01-15T09:30:00Z",
        "lastUpdatedBy": "admin@pronghorn",
        "migrationVersion": 1,
        "name": "Cisco IOS upgrade",
        "options": {
          "actionId": "0a2f",
          "chooseTargetAtRuntime": true,
          "targetIdentifier": "string",
          "targetType": "instance"
        },
        "routeName": "runSoftwareUpgrade",
        "schema": {},
        "type": null,
        "verb": null
      }
    ]
  },
  "metadata": {}
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/operations-manager/automations/id/export"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/operations-manager/automations/id/export';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/operations-manager/automations/id/export"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/operations-manager/automations/id/export")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/operations-manager/automations/id/export")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/operations-manager/automations/id/export');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/operations-manager/automations/id/export");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/operations-manager/automations/id/export")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```